Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.metadata.extract
Class EbXML_2_1FolderExtractor

    java.lang.Object
      org.eclipse.ohf.ihe.xds.metadata.extract.EbXML_2_1FolderExtractor

All Implemented Interfaces:
  FolderExtractor

    public class EbXML_2_1FolderExtractor

extends java.lang.Object
implements FolderExtractor

Class containing utility methods to extract XDS folder metadata from ebRIM 2.1 element.

Author:
  Sarah Knoop

Field Summary
`static java.lang.String` | `DESCRIPTOR` Descriptor for Extractor

Constructor Summary
`EbXML_2_1FolderExtractor(RegistryPackageType folderData, AssociationType1[] documentsInFolder)` Loads the ebXML structures containing Folder metadata.

Method Summary
`FolderType` | `extract()` Builds an FolderType containing XDSFolder metadata within the RegistryPackage provided.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DESCRIPTOR

    public static final java.lang.String DESCRIPTOR

  Descriptor for Extractor

  See Also:
    Constant Field Values

Constructor Detail

### EbXML_2_1FolderExtractor

    public EbXML_2_1FolderExtractor(RegistryPackageType folderData,
                                    AssociationType1[] documentsInFolder)

  Loads the ebXML structures containing Folder metadata. UUIDs for classificationSchemes, identificationSchemes, objectTypes and associationTypes are expected to conform to those fixed by XDS documentataion.

  Parameters:
    `folderData` - the RegistryPackage for the folder metadata, cannot be null.
    `documentsInFolder` - list of AssociationType1 objects each representing a link between the folder and documents to be placed in this folder, may be null.
  See Also:
    `UUIDs`

Method Detail

### extract

    public FolderType extract()
                       throws MetadataExtractionException

  Builds an FolderType containing XDSFolder metadata within the RegistryPackage provided. Does not populate the list of documents contained within the folder. Construction assumes that sandard HL7 V2.5 message delimiters are used. See `MessageDelimiters`. Length restrictions are not implemented, presently.

  Specified by:
    `extract` in interface `FolderExtractor`
  Returns:
    FolderType object populated with metadata from parameters.
  Throws:
    `MetadataExtractionException`
  See Also:
    `FolderExtractor.extract()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD